

gpior equ $fff7 ; GPIO Control/Data Register
gdd3 equ 9 ; direction bit for GPIO3
gd3 equ 1 ; data bit for GPIO3




   org pl:$0,pl:$0 ; bootstrap code starts at $0


start1:
    bset #gdd3,x:gpior     ; enable EPROM (GPIO3=0)
    do #300,petla2
    do #2000,petla1

    nop

petla1:
    nop
petla2:
    bclr #gdd3,x:gpior

    do #500,petla3
    do #2000,petla4

    nop

petla4:
    nop
petla3:

    jmp start1
